Bug 450085 - SIP channel suddenly terminates
SIP channel suddenly terminates
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: callweaver (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-05 04:47 EDT by Marek Greško
Modified: 2009-07-14 11:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:17:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Greško 2008-06-05 04:47:06 EDT
Description of problem:

Imagine the same scenario as in bug 449385 except I have upgraded the Fedora 8
side to Fedora 9 just to test whether iax wil not become to work between the
same versions. It does not. Even things got worse. Now even SIP is not working
properly. Some calls are OK, some are broken in several seconds. Now I have no
way to interconnect two callweavers.

Version-Release number of selected component (if applicable):
callweaver-1.2-0.4.rc5.20071230.fc9.x86_64


How reproducible:
Most calls are terminated after several seconds.

Steps to Reproduce:
1. Interconnect two callweavers with SIP porotcol.
2. Make a call.
3. Call will probably hang afetr several seconds.
  
Actual results:

I get this on remote side:

Jun  5 10:33:18 WARNING[3083668368]: chan_sip.c:1538 retrans_pkt: Maximum
retries exceeded on transmission ............... for seqno 103 (Critical Response)
Jun  5 10:33:18 WARNING[3083668368]: chan_sip.c:1560 retrans_pkt: Hanging up
call ..................... - no reply to our critical packet.
  == Spawn extension (fromiax, 616, 2) exited non-zero on '..............'


... and audio stops.

Expected results:
Call does not brake.

Additional info:
Comment 1 Marek Greško 2008-06-06 07:22:18 EDT
Callweaver-1.2.0.1 did not help, but it looks like the problem does not appear
during regular calls, only calls to echo test is affected.
Comment 2 Bug Zapper 2009-06-09 21:24:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 11:17:59 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.